Name:                ruby-augeas
Version:             0.5.0
Release:             1
Summary:             Ruby bindings for Augeas
License:             LGPLv2+
URL:                 http://augeas.net
Source0:             http://download.augeas.net/ruby/ruby-augeas-%{version}.tgz
BuildRequires:       ruby rubygem(rake) rubygem(test-unit) ruby rubygem(rdoc) ruby-devel
BuildRequires:       augeas-devel >= 1.0.0 pkgconfig gcc
Requires:            ruby(release) augeas-libs >= 1.0.0
Provides:            ruby(augeas) = %{version}
%description
Ruby bindings for augeas.

%prep
%setup -q

%build
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
rake build

%install
rm -rf %{buildroot}
install -d -m0755 %{buildroot}%{ruby_vendorlibdir}
install -d -m0755 %{buildroot}%{ruby_vendorarchdir}
install -p -m0644 lib/augeas.rb %{buildroot}%{ruby_vendorlibdir}
install -p -m0755 ext/augeas/_augeas.so %{buildroot}%{ruby_vendorarchdir}

%check
ruby tests/tc_augeas.rb

%files
%doc COPYING README.rdoc NEWS
%{ruby_vendorlibdir}/augeas.rb
%{ruby_vendorarchdir}/_augeas.so

%changelog
* Tue Jul 28 2020 shaoqiang kang <kangshaoqiang1@huawei.com> - 0.5.0-1
- Package init
